petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerBinaryGetMPIIOOffset

Gets the current offset that should be passed to MPI_File_set_view()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetMPIIOOffset(PetscViewer viewer,MPI_Offset *off)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

off -the current offset

### Fortran Note

This routine is not supported in Fortran.

Use PetscViewerBinaryAddMPIIOOffset() to increase this value after you have written a view.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetUseMPIIO(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryAddMPIIOOffset()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages